﻿using Connected.Entities.Consistency;

namespace Connected.ServiceModel.Data;

public interface ITableEntity<TPrimaryKey, TPartitionKey> : IConsistentEntity<TPrimaryKey>
	where TPrimaryKey : notnull
	where TPartitionKey : notnull
{
	TPartitionKey PartitionKey { get; init; }
}
